Name:           rosapanel
Version:        1.0
Release:      	22.1
Epoch:		1
Summary:        ROSA panel plasmoid
Group:		Graphical desktop/KDE 
License:        LGPL v2
URL:            http://rosalab.ru/
Source0:        %{name}-%{version}.tar.gz
Requires: 	kdebase4-workspace 
Requires:       python-kde4 
Requires:       plasma-scriptengine-python
Requires: 	rosa-launcher 
Requires: 	plasma-applet-stackfolder 
Requires: 	plasma-desktoptheme-rosa
BuildRequires:  kdebase4-workspace-devel 
BuildRequires:  kdebase4-devel

%files
%_kde_libdir/kde4/plasma_applet_tasks-applet.so
%_kde_libdir/kde4/plasma_applet_rosaicon.so
%_kde_libdir/kde4/plasma_applet_rosatrashcan.so
%_kde_libdir/kde4/plasma_applet_rosaseparator.so
%_kde_libdir/kde4/plasma_containment_rosapanel.so
%_kde_datadir/kde4/services/plasma-applet-tasks-applet.desktop
%_kde_datadir/kde4/services/plasma-applet-rosaicon.desktop
%_kde_datadir/kde4/services/plasma-applet-rosatrashcan.desktop
%_kde_datadir/kde4/services/plasma-applet-rosaseparator.desktop
%_kde_datadir/kde4/services/plasma-containment-rosapanel.desktop

#--------------------------------------------------------------------

%description
ROSA panel

%prep
%setup -q

%build
%cmake_kde4

%install

%makeinstall_std -C build



%changelog
* Tue Dec 13 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-22.1
- built for updates

* Mon Dec 12 2011 Ural Mullabaev <mur@mandriva.org> 1:1.0-22
+ Revision: 740336
- Reworked launching mechanism from middle zone
- Fixed launching ?\208?\176 new instance from middle zone
- Fix icons rotating in the middle zone at the top edge
  Added actions to the context menu: run new instance of application, collapse and expand widget.

* Tue Jun 28 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.9-31
+ Revision: 687824
- Changed default panel height.

* Mon Jun 20 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.9-26
+ Revision: 686339
- Removed bug with flickering of active app when starting a new one.

* Fri Jun 10 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-25
+ Revision: 684143
- Fix duplicate icon bug (http://helpdesk.rosalab.ru/front/document.send.php?docid=99&tickets_id=121)

* Tue Jun 07 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-20
+ Revision: 683067
- Change license on panel to lGPL v2
- Add hightlight on non active task in ROSA theme
- Fix bug with non saves sepparators
- Change position sepparators when effects is enambled

* Tue May 31 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-08
+ Revision: 682042
- Up release
- Add requires plasma-desktoptheme-rosa

* Tue May 31 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-07
+ Revision: 682035
- Change layout spacing. Add sepparator for ROSA theme

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean spec file

* Thu May 19 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.8-30
+ Revision: 676196
- Up reliaze number.
- Big changes in rosaicon. Add 2 stackfolder. Change icons size on left zone. Stretch trashcan.

* Sun Apr 17 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.7-40
+ Revision: 654788
- QTimer change on signal again. Connect 2 additional signals. Delete pixmap trash.

* Thu Apr 14 2011 Alex Burmashev <burmashev@mandriva.org> 0.7-38
+ Revision: 652969
- test update
- update

* Mon Apr 11 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.7-34
+ Revision: 652587
- Clear cache files for build
- Remove artefacts after reboot
- Remove plasmoid applets. Add rosaicon applet based in standart icon applet. Set GPL license. Global fix - tar include clock patch

* Fri Apr 01 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.7-21
+ Revision: 649572
- Remove *AGAIN* the changelog from the spec file
- Add digital-clock on default panel
- Fix build dir for make install
- Clean spec file:
  	- Do not use an other distsuffix as mdv or mnb
  	- use kde macros ( %%cmake_kde4, %%kde_appsdir, %%kde_libdir, %%kde_datadir )
  	- fix spec file layout to respect kde policy
  	- Do not include changelog in the spec file
  	- We do not need a clean section anymore in rpm5
  	- Use rpm macros ( %%makeinstall_std )
  	- Remove numerous commented lines

  + Eugeni Kozhanov <eugenik@mandriva.org>
    - Add checking of exist files in plasmoids
    - Fix restore kickoff when rosa-launcher installed
    - Add height property fore panel
    - Add rosapanel in cooker
    - Created package structure for rosapanel.

